#ifndef RADIO_H
#define RADIO_H

//TX Return Values
#define RET_TX_SUCCESS       0
#define RET_TX_ERROR        -1
#define RET_TX_BUFFER_FULL  -2

//RX Return Values
#define RET_RX_PACKET_REC     1
#define RET_RX_QUEUE_EMPTY    0
#define RET_RX_DEST_MISMATCH -1
#define RET_RX_LEN_ERROR     -2
#define RET_RX_CRC_ERROR     -3

#define RADIO_BUFFER_SIZE 5 //Radio buffer length (bytes).
#define RADIO_TIMER_OFF 0xFFFF //Invalid timer value (timer off).

extern unsigned char radio_tx_sm_timer;
extern unsigned int radio_tx_timer;
extern unsigned int radio_rx_timer;

void radio_init(void);
signed char radio_send(unsigned char dest,unsigned char retransmit,unsigned char len,unsigned char *payload);
//void radio_cancel_tx(void);
signed char radio_receive(unsigned char *src,unsigned char *len,unsigned char *payload);
void radio_tx_exec(void);
void radio_rx_exec(void);
inline void radio_exec(void);

#endif
